Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2737

  

Description

Using the LookupKey base class can result in the following deprecation warning from Rails:

2.0.0-p353 :001 > LookupKey.all

  LookupKey Load (3.6ms)  SELECT "lookup_keys".* FROM "lookup_keys" ORDER BY lookup_keys.key

2015-09-16T14:23:26 [app] [W] DEPRECATION WARNING: It looks like something (probably a gem/plugin)

 is overriding the ActiveRecord::Base.inherited method. It is important that this hook executes so

 that your models are set up correctly. A workaround has been added to stop this causing an error 

in 3.2, but future versions will simply not work if the hook is overridden. If you are using Kamin

ari, please upgrade as it is known to have had this problem.

 | 

 | The following may help track down the problem: ["/home/dcleal/code/foreman/foreman/app/models/l

ookup_keys/lookup_key.rb", 34]

 | 

 |  (called from irb_binding at (irb):1)

 It appears that the LookupKey.inherited method isn't calling "super".

This causes logging when used on develop as shown above, or with the PR for #9981.

Related issues:

Related to Foreman - Refactor #10832: Make LookupKey an STI for puppet and va... Closed 06/16/2015

Associated revisions

Revision 8f14d696 - 09/21/2015 05:39 AM - Shlomi Zadok

Fixes #11851 - include ActiveRecord::Base.inherited as super in LookupKey.inherited

History

#1 - 09/16/2015 09:25 AM - Dominic Cleal

- Related to Refactor #10832: Make LookupKey an STI for puppet and variable keys added

#2 - 09/18/2015 03:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2737 added

- Pull request deleted ()

#3 - 09/21/2015 05:39 AM - Dominic Cleal

- Assignee set to Shlomi Zadok

#4 - 09/21/2015 06:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://projects.theforeman.org/issues/9981


Applied in changeset 8f14d696e48fdd21e6c45af5797673ee9a429614.
